/*
 * CAAM UIO support header.
 * Definitions for enabling CAAM block to be accessed directly from user space
 *
 * Copyright 2011 Freescale Semiconductor, Inc
 */

#ifndef CAAMUIO_H
#define CAAMUIO_H

/** Name of UIO device*/
#define SEC_UIO_DEVICE_NAME "sec-job-ring"
/** UIO char driver version */
#define SEC_UIO_VERSION     "1.0"

/** UIO command used by user-space driver to request
 *  disabling IRQs on a certain job ring */
#define SEC_UIO_DISABLE_IRQ_CMD         0
/** UIO command used by user-space driver to request
 *  enabling IRQs on a certain job ring */
#define SEC_UIO_ENABLE_IRQ_CMD          1
/** UIO command used by user-space driver to request SEC kernel driver
 *  to simulate that an IRQ is generated on a certain job ring */
#define SEC_UIO_SIMULATE_IRQ_CMD        2
/** UIO command used by user-space driver to request SEC kernel driver
 *  to reset SEC engine device. */
#define SEC_UIO_RESET_SEC_ENGINE_CMD    3

#endif /* CAAMUIO_H */
