/*
 * Copyright 2011 Freescale Semiconductor, Inc.
 *
 * This program is free software; you can redistribute  it and/or modify it
 * under  the terms of  the GNU General  Public License as published by the
 * Free Software Foundation;  either version 2 of the  License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _FSL_TYPES_H
#define _FSL_TYPES_H
#ifdef __KERNEL__
#include <linux/module.h>
#include <linux/kernel.h>
#include <linux/major.h>
#include <linux/fcntl.h>
#include <linux/types.h>
#else
typedef unsigned long phys_addr_t;
#endif
typedef struct {
	phys_addr_t	phys_addr;
	uint32_t	size;
} mem_t;

typedef struct {
	phys_addr_t phys_addr;
	void    *vaddr;
	uint32_t size;
} range_t;

typedef struct {
	uint32_t	pa_shared_size;
	uint32_t	dsp_shared_size;
	mem_t		pa_ccsrbar;
	mem_t		dsp_ccsrbar;
	mem_t		linux_priv_area;
	mem_t		smart_dsp_os_priv_area;
	mem_t		sh_ctrl_area;
	mem_t		dsp_core0_m2;
	mem_t		dsp_core1_m2;
	mem_t		dsp_m3;
	mem_t		dbg_area;
} sys_map_t;

typedef struct {
	mem_t 	pa_ipc_shared;
	mem_t	dsp_ipc_shared;
	mem_t	pa_dbgprint_shared;
	mem_t	dsp_dbgprint_shared;
} shared_area_t;

typedef struct {
	uint32_t 	sem_no;
	uint32_t	value;
} hw_sem_t;

typedef struct {
	uint32_t	pa_uniq_val;
	uint32_t	dsp_uniq_val;
} hw_sem_info_t;


#endif
