/*
 * Copyright 2011 Freescale Semiconductor, Inc.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License, or (at your
 * option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
 * or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef _FSL_USB_H
#define _FSL_USB_H

#include <linux/of.h>

static inline int usb_get_ver_info(void)
{
	struct device_node *np;
	int ver = 0;
	/* Check for the USB controller verion info
	 * 1.6 version maps to p1020, p1010, p3040, P5020
	 * 2.2 version maps to bsc9131, bsc9132
	 */
	for_each_compatible_node(np, NULL, "fsl-usb2-dr") {
		if (of_device_is_compatible(np, "fsl-usb2-dr-v1.6"))
			ver = 1;
		else if (of_device_is_compatible(np, "fsl-usb2-dr-v2.2"))
			ver = 2;
		else
			ver = 0;
	}
	return ver;
}
#endif
