/*
 * Packet UM Adaptation Layer Interface Definations.
 *
 *	Authors: Hemant Agrawal <hemant@freescale.com>
 *	Himanushu Seth <himanshu.seth@freescale.com>
 *
 *	Copyright 2011-2012 Freescale Semiconductor, Inc.
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version
 *	2 of the License, or (at your option) any later version.
 */
#ifndef IF_PMAL_H
#define IF_PMAL_H

#define ASF_PACKET_CONN_ADD		1
#define ASF_PACKET_CONN_DEL		2
#define ASF_PACKET_DYNM_LEARNING	3
#define ASF_PACKET_FLUSH_CONN		4

struct packet_con_s {
	struct sockaddr_in saddr;
	struct sockaddr_in daddr;
	unsigned int proto;
	unsigned int conn_id;
	unsigned int ctxt;
};

struct packet_asf_cb {
	int (*packet_asf_tx_cb)(struct sk_buff *, void *);
	int (*packet_asf_config)(int, void *);
};

enum packet_flow_type {
	e_RX_UDP,
	e_TX_UDP
};

extern int pmal_register_tx_hook(struct packet_asf_cb *packet_asf);
extern void pmal_unregister_tx_hook(void);
extern int pmal_receive_skb(struct sk_buff *skb);
extern int pmal_netif_receive_skb(struct sk_buff *skb);
extern bool packet_is_valid_flow(struct packet_con_s *flow,
			enum packet_flow_type flow_type);

extern struct sk_buff *packet_new_skb(struct net_device *dev);
extern void packet_kfree_skb(struct sk_buff *skb);
extern unsigned int packet_sock_rx;


#define PF_PACKET_RX_QUEUE 1
#define PF_PACKET_TX_QUEUE 0
#define PF_PACKET_SKB	   1

/* Memory Management and Interface Mgmt - to be configured by shell util */

#endif
